# dbk-book.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     17-Mr-2004.
# @Last Change: 23-Okt-2005.
# @Revision:    0.2052

require "deplate/docbook"

class Deplate::Formatter::DbkBook < Deplate::Formatter::Docbook
    self.myname = "dbk-book"
    self.rx     = /dbk|dbk-book|docbook/i

    def initialize(deplate, args)
        @headings = ["chapter", "sect1", "sect2", "sect3", "sect4", "sect5", "sect6"]
        super
    end
    
    def setup
        @deplate.variables['dbkClass']   ||= 'book'
    end
    
    # Document skeleton
    def get_doc_open(args)
        o = []
        lang = @deplate.options.messages.prop('lang', self)
        if lang
            o << %{ lang="#{lang}"}
        end
        return "<book%s>" % o.join
    end

    def get_doc_close(args)
        return "</book>"
    end

    def get_doc_head_open(args)
        return "<bookinfo>"
    end

    def get_doc_head_close(args)
        return "</bookinfo>"
    end
end

