# particle-math.rb
# @Author:      Thomas Link (samul AT web.de)
# @Website:     http://deplate.sf.net/
# @License:     GPL (see http://www.gnu.org/licenses/gpl.txt)
# @Created:     25-Mr-2005.
# @Last Change: 12-Nov-2005.
# @Revision:    0.20
#
# = Description
# This provides a math markup as known from LaTeX: $\latexmarkup$

class Deplate::Particle::Math < Deplate::Particle
    register_particle
    set_rx(/^\$(\S.*?)\$/)

    def setup
        @proxy = Deplate::Macro::Math.new(@deplate, @container, @context, {}, @alt, get_text)
    end
    
    def process
        @elt = @proxy.process
    end

    def get_text
        @match[1]
    end
end

class Deplate::Core
    def hook_late_require_particle_math
        register_particle(Deplate::Particle::Math)
    end
end

